Skip to content

Get Exchanges ​

Retrieve a list of all available exchanges with their IDs and names.

Overview ​

This endpoint returns a comprehensive list of cryptocurrency exchanges that are supported by the Market Maker Data API. Each exchange is identified by a unique ID and has a human-readable name.

Endpoint: GET https://data.api.forgd.com/api/v1/exchanges

Authentication: Required (API Key) (docs)

GET Request ​

Headers ​

HeaderTypeRequiredDescription
AuthorizationstringYesAPI key for authentication
Check Authentication for more details

Examples ​

bash
curl -X GET "https://data.api.forgd.com/api/v1/exchanges" \
  -H "Authorization: <API_KEY>"
js
const response = await fetch('https://data.api.forgd.com/api/v1/exchanges', {
  method: 'GET',
  headers: {
    Authorization: '<API_KEY>',
  },
})

const data = await response.json()

if (response.ok) {
  console.log('Exchanges:', data)
} else {
  console.error('Error:', response.status, response.statusText, data)
}
python
import requests

response = requests.get(
    'https://data.api.forgd.com/api/v1/exchanges',
    headers={'Authorization': '<API_KEY>'},
)

data = response.json()

if response.ok:
    print('Exchanges:', data)
else:
    print('Error:', response.status_code, response.reason, data)

Success Response ​

HTTP 200 OK ​

Returns an array of exchange objects. Each exchange object contains unique id and human-readable name.

Response Type ​

ts
type SuccessResponseType = {
  id: string
  name: string
}[]
json
[
  {
    "id": "binance",
    "name": "Binance"
  },
  {
    "id": "bybit_spot",
    "name": "Bybit"
  },
  {
    "id": "okex",
    "name": "OKX"
  }
]

Error Responses ​

HTTP 401 Unauthorized ​

The request could not be authenticated. Possible reasons:

ts
type ErrorResponseType = {
  message: string
  statusCode: number
}
json
{
  "message": "Unauthorized",
  "statusCode": 401
}

HTTP 5xx Internal Server Error ​

The request has failed due to an error on the server side. Most likely there is an internal issue with our server or network - please try again after couple of minutes.

We are getting notified about every 5XX response internally but if this is an recurring issue, please contact us at [email protected].

FAQ & Troubleshooting ​

I can't find my exchange ​

We are supporting all exchanges that are listed on CoinGecko. Our system is continuously updated with Coingecko's data to support new exchanges. If you don't see your exchange in the list, please contact us at [email protected].

If you are trading on an exchange that is not listed on CoinGecko, please exclude it from your report as are not able to support it.

I see multiple exchanges with similar names ​

Some exchanges have multiple entries based on their area of operation, blockchain or version. It is absolutely imperative for you to use correct id of the exchange you are trading on, otherwise your data will be mismatched and your trading history will contain incorrect reference data or your report might get rejected on submission.